# BEGIN SourceDeps(oneline):
BuildRequires: perl(Inline.pm) perl(Time/HiRes.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(DBD/DBM.pm)
Name:           perl-DBI-Dumper
Version:        2.01
Release:        alt2_20
Summary:        Dump data from a DBI datasource to file
# see http://rt.cpan.org/Public/Bug/Display.html?id=27269
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/DBI-Dumper/
Source0:        http://www.cpan.org/authors/id/W/WS/WSMITH/DBI-Dumper-%{version}.tar.gz

# core
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
# cpan
BuildRequires:  perl(DBI.pm)
BuildRequires:  perl(Inline/C.pm)
BuildRequires:  perl(Parse/RecDescent.pm)
BuildRequires:  perl(Term/ReadKey.pm)

%{echo 
%filter_from_provides /perl.Parse.RecDescent.DBI.Dumper.Grammar.pm./d

}

Source44: import.info


%description
Dumps data from a select statement into an output file. dbidumper tries
to mirror the functionality and behavior of sql*loader. The control
file syntax is similar, and DBI::Dumper utilizes a subset of the
sql*loader options.

%prep
%setup -q -n DBI-Dumper-%{version}

# include some licensing information from the rt.cpan.org bug, as it's
# not yet included in the package proper
cat << \EOF > COPYING.fedora
DBI::Dumper is under the same terms as perl itself, namely the GPL or 
Artistic licenses.  For more information, please see:

  http://rt.cpan.org/Public/Bug/Display.html?id=27269

From the bug:

Subject: RE: [rt.cpan.org #27269] DBI::Dumper license?
Date:    Thu, 24 May 2007 10:58:37 -0500
To:      <bug-DBI-Dumper[...]rt.cpan.org>
From:   "Smith Warren - wasmit" <Warren.Smith[...]acxiom.com>

The license for DBI::Dumper is the same as perl. I will update the
POD with the next release to include this information.

EOF

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make 

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \; 

# %{_fixperms} %{buildroot}/*

# EU::MM seems to be horribly confused
rm -rf %{buildroot}${PWD}

%check
make test

%files
%doc Changes grammar.prd README COPYING.fedora t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/DBI
%{_bindir}/*
%{_mandir}/man[13]/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.01-alt2_20
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 2.01-alt2_19
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2.01-alt1_19
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 2.01-alt1_17
- fc import

